<!DOCTYPE html>
<html lang="en">
<head>
    <title>Corda Client</title>
</head>
<body id="page-top">
<h3>Request For Loan</h3>
<button id="nodesbtn">Load Available Banks</button>
<br><br>
<label for="loanamount">Loan Amount: </label>
<input type="text" id="loanamount" name="loanamount">
<br> <br>
<label for="bank">Bank: </label>
<select id="bank">
    <option value=""></option>
</select>
<br><br>
<button id="submitloan">Submit</button>
<br><br><br>
<h3>My Loans</h3>
<button id="loanrequests">My Transfers</button>
<ol>
</ol>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>
        $(document).ready(function () {

            $("#submitloan").click(function () {
                const loanamount = document.getElementById("loanamount").value;
                const bank = document.getElementById("bank").value;
                $.post("/createRequest", { value: loanamount, partyName: bank }, function (result) {
                    alert(result);
                });

            });

            $("#nodesbtn").click(function () {
                $.get("/getPeers", function (data) {
                    $.each(data, function (key, value) {
                        $('#bank').append('<option value="' + value.replace(/[\[\]]+/g, '') + '">' + value + '</option>');
                    });
                });
            });

            $("#loanrequests").click(function () {
                $.get("/myRequest", function (data) {
                    console.log(data);
                    $('ol').empty();
                    $.each(data, function (key, value) {
                        $("ol").append("<li>"+ "ID: " + value.linearId.id + ", Requester: " + value.requester + ", Bank: " + value.bank + ", Loan Amount: " + value.requestValue + "</li>");
                    });
                });
            });
        });
    </script>
</body>
</html>